/*
 *  html.h
 *  mod_musicindex
 *
 *  $Id: html.h,v 1.12 2003/07/09 00:47:38 varenet Exp $
 *
 *  Created by Thibaut VARENE on Thu Mar 20 2003.
 *  Copyright (c) 2003 Regis BOUDIN
 *  Copyright (c) 2003 Thibaut VARENE
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1, or (at your option)
 *  any later version.
 *
 */

#ifndef HTML_H
#define HTML_H

#include "mod_musicindex.h"
#include <string.h>
#include <apache-1.3/ap.h>

#define MAX_PREFIX	256	/**< Maximum expected size of the URL "prefix" (user@host stuff). */

char treat_args(request_rec * r, mu_config * conf);

void send_url(request_rec *r, char *uri, char *command);

void send_head(request_rec * r, mu_config * conf);

void send_directories(request_rec * r, struct mu_ent *p,
		      mu_config * conf);

void send_tracks(request_rec * r, struct mu_ent *p, mu_config * conf);

void send_playlist(request_rec * r, struct mu_ent *p, mu_config * conf);

void send_foot(request_rec * r, mu_config * conf);

void send_result(request_rec * r, struct mu_ent *p, mu_config * conf);
	
#endif
